cmake issues trying to open messaging-app



  • I wanted to try my luck building messaging-app and see if I can help with some of the bugs, I haven't used cmake before.(will start to learn it though).
    In the meantime can someone help me with this issue?

    I have installed every libnotify I could find with apt install.
    I am trying to open it with Ubuntu SDK(installed from ppa) on Ubuntu 16.04.

    Running "/home/adi/.config/QtProject/qtcreator/ubuntu-sdk/device-armhf/cmake /home/adi/Ubuntu-workspace/messaging-app '-GCodeBlocks - Unix Makefiles' -DCMAKE_BUILD_TYPE:STRING=Debug -DCMAKE_CXX_COMPILER:STRING=/usr/bin/arm-linux-gnueabihf-gcc -DQT_QMAKE_EXECUTABLE:STRING=/usr/bin/qt5-qmake-arm-linux-gnueabihf" in /home/adi/Ubuntu-workspace/messaging-app-debug.
    -- Removing build artifacts
    -- The C compiler identification is GNU 4.9.2
    -- The CXX compiler identification is GNU 4.9.2
    -- Check for working C compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc
    -- Check for working C compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Check for working CXX compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc
    -- Check for working CXX compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Could NOT find Lcov (missing: LCOV_EXECUTABLE GENHTML_EXECUTABLE)
    -- Could NOT find gcovr (missing: GCOVR_EXECUTABLE)
    -- Found PkgConfig: arm-linux-gnueabihf-pkg-config (found version "0.28")
    -- checking for module 'libnotify'
    -- package 'libnotify' not found
    CMake Error at /var/lib/lxd/containers/device-armhf/rootfs/usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:345 (message):
    A required package was not found
    Call Stack (most recent call first):
    /var/lib/lxd/containers/device-armhf/rootfs/usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:399 (_pkg_check_modules_internal)
    CMakeLists.txt:47 (pkg_check_modules)

    -- Found Gettext: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/msgmerge (found version "0.19.2")
    CMake Warning at tests/qml/CMakeLists.txt:18 (message):
    Qml tests disabled: xvfb-run not found
    -- Configuring incomplete, errors occurred!
    See also "/home/adi/Ubuntu-workspace/messaging-app-debug/CMakeFiles/CMakeOutput.log".



  • Hi @vadrian89 What would be great from my point of view would be if you could get qtox working on the phone.



  • @3arn0wl said in cmake issues trying to open messaging-app:

    Hi @vadrian89 What would be great from my point of view would be if you could get qtox working on the phone.

    I'm not at a point that I can do that, at the moment I'm caught up in a lot of learning.
    Besides trying to learn my way through Ubuntu Touch development I am also on an online course for another programming language and with work I stop everything at 22:00.
    I have looked at the application you mentioned and from the looks of it, it can be done though a bit hard because it needs a port for the UI, but still I'm not qualified to take a charge on developing it, sorry.



  • @vadrian89
    to make it compile , this is what i've done:

    sudo apt install libnotify-dev
    sudo apt install qt5
    sudo apt install qtpim5-dev
    sudo apt install lcov
    sudo apt install gcovr
    

    but see below app discussion: link, i have a Path problem when launching messaging-app

    if you are in a lxd container, need to install trough lxc exec name_of_your_container -- apt install ...



  • :) Well I'm really pleased that you're getting on board with UT development. Good luck with it all.



  • @3arn0wl

    Thank you very much.



  • @lduboeuf

    I installed in the container made by Ubuntu SDK all you mentioned except qt5 which it says it doesn't find package and now I get:

    [12:02:03] ii click-reviewers-tools 0.44~16.04.1

    Running "/home/adi/.config/QtProject/qtcreator/ubuntu-sdk/device-armhf/cmake /home/adi/Ubuntu-workspace/messaging-app '-GCodeBlocks - Unix Makefiles' -DCMAKE_BUILD_TYPE:STRING=Release -DCMAKE_CXX_COMPILER:STRING=/usr/bin/arm-linux-gnueabihf-gcc -DQT_QMAKE_EXECUTABLE:STRING=/usr/bin/qt5-qmake-arm-linux-gnueabihf" in /tmp/qtc-cmake-3EW5Qr.
    -- The C compiler identification is GNU 4.9.2
    -- The CXX compiler identification is GNU 4.9.2
    -- Check for working C compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc
    -- Check for working C compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Check for working CXX compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc
    -- Check for working CXX compiler: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/arm-linux-gnueabihf-gcc -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Found Lcov: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/lcov
    -- Found gcovr: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/gcovr
    CMake Warning at CMakeLists.txt:42 (find_package):
    By not providing "FindQt5Versit.cmake" in CMAKE_MODULE_PATH this project
    has asked CMake to find a package configuration file provided by
    "Qt5Versit", but CMake did not find one.

    Could not find a package configuration file provided by "Qt5Versit" with
    any of the following names:

    Qt5VersitConfig.cmake
    qt5versit-config.cmake
    

    Add the installation prefix of "Qt5Versit" to CMAKE_PREFIX_PATH or set
    "Qt5Versit_DIR" to a directory containing one of the above files. If
    "Qt5Versit" provides a separate development package or SDK, be sure it has
    been installed.

    -- Found PkgConfig: arm-linux-gnueabihf-pkg-config (found version "0.28")
    -- checking for module 'libnotify'
    -- package 'libnotify' not found
    CMake Error at /var/lib/lxd/containers/device-armhf/rootfs/usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:345 (message):
    A required package was not found
    Call Stack (most recent call first):
    /var/lib/lxd/containers/device-armhf/rootfs/usr/share/cmake-3.0/Modules/FindPkgConfig.cmake:399 (_pkg_check_modules_internal)
    CMakeLists.txt:47 (pkg_check_modules)

    -- Found Gettext: /var/lib/lxd/containers/device-armhf/rootfs/usr/bin/msgmerge (found version "0.19.2")
    -- Configuring incomplete, errors occurred!
    CMake Warning at /var/lib/lxd/containers/device-armhf/rootfs/usr/lib/arm-linux-gnueabihf/cmake/Qt5Core/Qt5CoreMacros.cmake:273 (find_package):
    See also "/tmp/qtc-cmake-3EW5Qr/CMakeFiles/CMakeOutput.log".
    Could not find a package configuration file provided by "Qt5Versit" with
    any of the following names:

    Qt5VersitConfig.cmake
    qt5versit-config.cmake
    

    Add the installation prefix of "Qt5Versit" to CMAKE_PREFIX_PATH or set
    "Qt5Versit_DIR" to a directory containing one of the above files. If
    "Qt5Versit" provides a separate development package or SDK, be sure it has
    been installed.
    Call Stack (most recent call first):
    src/CMakeLists.txt:21 (qt5_use_modules)

    CMake Error at /var/lib/lxd/containers/device-armhf/rootfs/usr/lib/arm-linux-gnueabihf/cmake/Qt5Core/Qt5CoreMacros.cmake:275 (message):
    Can not use "Versit" module which has not yet been found.
    Call Stack (most recent call first):
    src/CMakeLists.txt:21 (qt5_use_modules)

    *** cmake process exited with exit code 1.

    It still doesn't find libnotify despite it being installed but now it also has issues with Qt5Versit....
    I saw your issue right before creating making mine, but nothing comes to mind which could help you......are you sure the qml file is being deployed though?



  • Did you install the armhf version of libnotify-dev (aka apt-get install libnotify-dev:armhf) in your container? (I assume you are compiling for armhf).



  • @bhdouglass
    I have not installed the armhf version of libnotify-dev, I will let you know how it goes after I install it.

    Thank you.



  • @bhdouglass
    It worked, installing armhf version of libnotify and qtpim5-dev, but now it fails at linkage:

    /var/lib/lxd/containers/device-armhf/rootfs/usr/lib/gcc-cross/arm-linux-gnueabihf/4.9/../../../../arm-linux-gnueabihf/bin/ld: CMakeFiles/messaging-app.dir/messagingapplication.cpp.o: undefined reference to symbol '__cxa_guard_abort@@CXXABI_1.3'
    /var/lib/lxd/containers/device-armhf/rootfs/usr/lib/arm-linux-gnueabihf/libstdc++.so.6: error adding symbols: DSO missing from command line
    collect2: error: ld returned 1 exit status
    make[2]: *** [src/messaging-app] Error 1
    make[1]: *** [src/CMakeFiles/messaging-app.dir/all] Error 2



  • I'm not sure, but your container might be a little messed up (my go-to is usually to rebuild it). You might have unintentionally messed it up by installing non-armhf stuff.



  • @bhdouglass made a new container through Ubuntu SDK IDE (desktop kit this time) and I still have the same issue.



  • @vadrian89 can you try doing an apt-get update && apt-get upgrade within the container? If that doesn't change anything then you must be still missing a library needed for compiling.


Log in to reply
 

Looks like your connection to UBports Forum was lost, please wait while we try to reconnect.